drop table if exists votes;
drop table if exists users;

create table users (
    id INTEGER primary key autoincrement,
    email TEXT unique not null,
    password TEXT not null,
    name TEXT unique, 
    organization TEXT,
    is_admin INTEGER default 0 not null,
    key TEXT
);

create table votes (
    id INTEGER primary key autoincrement,
    title TEXT not null,
    description TEXT,
    category TEXT,
    date_begin INTEGER default CURRENT_TIMESTAMP not null,
    date_end INTEGER not null,
    is_transparent INTEGER default 1 not null, 
    is_public INTEGER default 1 not null,
    is_multiplechoice INTEGER default 1 not null,
    is_weighted INTEGER default 0 not null,
    is_closed INTEGER default 0 not null,
    id_author INTEGER, -- :COMMENT:maethor:120528: not null ?
    --id_role INTEGER,
    FOREIGN KEY(id_author) REFERENCES users(id)
    --FOREIGN KEY(id_role) REFERENCES role(id)
);

-- Test data

insert into users (email, password, name, organization, is_admin, key) values ("admin@admin.fr", "admin", "Toto (admin) Tata", "World corp", 1, "test");

